%global with_python3 0%{?fedora} >= 17
%global upstream_name fdb

Name:           python-fdb
Version:        1.8
Release:        1%{?dist}
Summary:        Firebird RDBMS bindings for Python

Group:          Development/Libraries
License:        BSD
URL:            http://www.firebirdsql.org/
Source0:        https://pypi.io/packages/source/f/%{upstream_name}/%{upstream_name}-%{version}.tar.gz

BuildArch:      noarch      
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  firebird-devel

Requires:       firebird-libfbclient

%description
Set of Firebird RDBMS bindings for Python. 

%if 0%{?with_python3}
%package -n python3-fdb
Summary:        Firebird RDBMS bindings for Python
Group:          Development/Libraries
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  firebird-devel

Requires:       firebird-libfbclient

%description -n python3-fdb
Set of Firebird RDBMS bindings for Python.
%endif # with_python3

%package doc
Summary:        Documentation for %{name}
Group:          Documentation
License:        BSD

%description doc
Documentation files for %{name}. It works on Python 2.6+ and Python 3..

%prep
%setup -q -n %{upstream_name}-%{version}
rm -rf %{upstream_name}.egg-info
%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif # with_python3

%build
%{__python} setup.py build
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif # with_python3

%install
# Must do the python3 install first because the scripts in /usr/bin are
# overwritten with every setup.py install (and we want the python2 version
# to be the default for now).
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root %{buildroot} 
popd
%endif # with_python3

%{__python} setup.py install -O1 --skip-build --root %{buildroot} 
 
%files
%doc README LICENSE.TXT
%{python_sitelib}/*

%if 0%{?with_python3}
%files -n python3-fdb
%doc README LICENSE.TXT
%{python3_sitelib}/*
%endif # with_python3

%files doc
%doc docs/* README LICENSE.TXT


%changelog
* Mon Jan 22 2018 Philippe Makowski <makowski@fedoraproject.org> - 1.8-1
- New upstream 1.8
- Change source url fix (#1525032)

* Sun May 25 2014 Philippe Makowski <makowski@fedoraproject.org> 1.4-1
- New upstream 1.4

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Apr 18 2013 Philippe Makowski <makowski@fedoraproject.org> 1.1-1
- New upstream 1.1 fix bug PYFB-30 - BLOBs are truncated at first zero byte

* Mon Apr 01 2013 Philippe Makowski <makowski@fedoraproject.org> 1.0-1
- New upstream 1.0

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Dec 01 2012 Philippe Makowski <makowski@fedoraproject.org> 0.9.9-1
- New upstream 0.9.9

* Tue Nov 27 2012 Philippe Makowski <makowski@fedoraproject.org> 0.9.1-1
- Initial package
